/*
 * 该类主要负责系统主要业务逻辑的实现,如多表处理的事务操作、权限控制等
 * 该类根据具体的业务逻辑来调用该实体对应的Dao或者多个Dao来实现数据库操作
 * 实际的数据库操作在对应的Dao或其他Dao中实现
 */
 
package com.blueland.ebpm.engine.config.service;
import com.blueland.bpm.engine.config.service.ProcessInfoConfigManager;
import com.blueland.ebpm.engine.BaseManagerTestCase;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.ContextConfiguration;

import com.blueland.bpm.engine.config.model.ProcessInfoConfig;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @author lw
 * @version 1.0
 * @since  
 */

@SpringBootTest
@RunWith(SpringRunner.class)
public class ProcessInfoConfigManagerTest  extends BaseManagerTestCase {
	@Autowired
    ProcessInfoConfigManager processInfoConfigManager;
	
	@Test
	public void testGetById(){
		processInfoConfigManager.getById("my-leave-manual:1:7708");
	}
	
	@Test
	public void testSaveOrUpdate(){
		ProcessInfoConfig processInfoConfig=processInfoConfigManager.getById("my-leave-manual:1:7708");
		processInfoConfigManager.saveOrUpdate(processInfoConfig);
		processInfoConfig.setProcessPageUrl("ssssss");
		processInfoConfigManager.saveOrUpdate(processInfoConfig);
	}
	
	
}
